function getcolumns(setdrawer) {
  return {
    pathconfig: {
      enableadd: false,
      enableedit: false,
      enabledelete: false,
      enabledetail: false,
      add: '',
      edit: '',
      list: '/repair/umRepairOrder/queryRepairOrderList',
      delete: '',
      detail: '',
    },
    columns: [
      {
        title: '维修单号',
        dataIndex: 'repairOrderNo',
        key: 'repairOrderNo',
      },
      {
        title: '设备编号',
        dataIndex: 'equipmentNo',
        key: 'equipmentNo',
      },
      {
        title: '设备名称',
        dataIndex: 'equipmentName',
        key: 'equipmentName',
      },
      {
        title: '故障描述',
        dataIndex: 'faultDescription',
        key: 'faultDescription',
      },
      {
        title: '报修人员',
        dataIndex: 'repairUserName',
        key: 'repairUserName',
      },
      {
        title: '报修时间',
        dataIndex: 'repairTime',
        key: 'repairTimeList',
        valueType: 'dateTimeRange',
        fieldProps: {
          showTime: {
            format: 'HH:mm',
          },
          format: 'YYYY-MM-DD HH:mm',
        },
      },
      {
        title: '报修单号',
        dataIndex: 'repairNo',
        key: 'repairNo',
      },
      {
        title: '工单状态',
        dataIndex: 'statusName',
        key: 'statusName',
      },
    ],
  };
}
export default getcolumns;
